The Parle\LexerException class

- « Parle\ErrorInfo

- Parle\ParserException »

- PHP Manual
- Parle
- The Parle\LexerException class

# The Parle\LexerException class

(PECL parle >= 0.5.1)

## Introduction

## Class synopsis

class Parle\LexerException extends Exception implements Throwable {
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Methods */
/* Inherited methods */
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
}